package de.avatic.lcc.model.db.premises;

import de.avatic.lcc.dto.calculation.PremiseState;
import de.avatic.lcc.model.db.materials.Material;

import java.math.BigDecimal;
import java.time.LocalDateTime;


public class PremiseListEntry {

    private Integer id;

    private LocalDateTime createdAt;
    private LocalDateTime updatedAt;

    private PremiseState state;

    private Material material;

    private boolean isUserSupplier;
    private Integer supplierId;
    private String supplierName;
    private Integer supplierCountryId;
    private String supplierAddress;
    private BigDecimal supplierGeoLongitude;
    private BigDecimal supplierGeoLatitude;

    private boolean supplierIsDestination;
    private boolean supplierIsSource;
    private boolean supplierIsIntermediate;

    private Boolean isDeprecated;

    private Integer ownerId;

    public Boolean getDeprecated() {
        return isDeprecated;
    }

    public void setDeprecated(Boolean deprecated) {
        isDeprecated = deprecated;
    }

    public BigDecimal getSupplierGeoLongitude() {
        return supplierGeoLongitude;
    }

    public void setSupplierGeoLongitude(BigDecimal supplierGeoLongitude) {
        this.supplierGeoLongitude = supplierGeoLongitude;
    }

    public BigDecimal getSupplierGeoLatitude() {
        return supplierGeoLatitude;
    }

    public void setSupplierGeoLatitude(BigDecimal supplierGeoLatitude) {
        this.supplierGeoLatitude = supplierGeoLatitude;
    }

    public boolean isSupplierIsDestination() {
        return supplierIsDestination;
    }

    public void setSupplierIsDestination(boolean supplierIsDestination) {
        this.supplierIsDestination = supplierIsDestination;
    }

    public boolean isSupplierIsSource() {
        return supplierIsSource;
    }

    public void setSupplierIsSource(boolean supplierIsSource) {
        this.supplierIsSource = supplierIsSource;
    }

    public boolean isSupplierIsIntermediate() {
        return supplierIsIntermediate;
    }

    public void setSupplierIsIntermediate(boolean supplierIsIntermediate) {
        this.supplierIsIntermediate = supplierIsIntermediate;
    }

    public boolean isUserSupplier() {
        return isUserSupplier;
    }

    public void setUserSupplier(boolean userSupplier) {
        isUserSupplier = userSupplier;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public LocalDateTime getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(LocalDateTime createdAt) {
        this.createdAt = createdAt;
    }

    public LocalDateTime getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(LocalDateTime updatedAt) {
        this.updatedAt = updatedAt;
    }

    public PremiseState getState() {
        return state;
    }

    public void setState(PremiseState state) {
        this.state = state;
    }

    public Material getMaterial() {
        return material;
    }

    public void setMaterial(Material material) {
        this.material = material;
    }

    public Integer getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Integer supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Integer getSupplierCountryId() {
        return supplierCountryId;
    }

    public void setSupplierCountryId(Integer supplierCountryId) {
        this.supplierCountryId = supplierCountryId;
    }

    public String getSupplierAddress() {
        return supplierAddress;
    }

    public void setSupplierAddress(String supplierAddress) {
        this.supplierAddress = supplierAddress;
    }

    public Integer getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(Integer ownerId) {
        this.ownerId = ownerId;
    }
}
